close all; clear all;
dpar = struct();

% ********************************************
% introduce fractional-sample delay
% the resulting filter has 1/3 sample lower group 
% delay than the one from YAFIR_basic (compare the
% impulse responses)
% ********************************************
dpar.delayOffset = 1/3; % positive => signal arrives now earlier

% --- below unchanged from YAFIR_demo_basic ---
dpar.inRate_Hz = 104e6;
dpar.mStages = 36;
dpar.req_passbandF_Hz = 9e6;
dpar.req_passbandRipple_dB = 0.083;
dpar.req_stopbandF_Hz = 14e6;  
dpar.req_stopbandMaxGain_dB = -30;

design = YAFIR(dpar);

[h, status] = run(design);
disp(status);    
