close all; clear all;
dpar = struct();

% ********************************************
% Configure LMS design (do not iterate)
% in-band / out-of-band balance the accuracy
% as desired
% ********************************************    
dpar.nIter = 1;

dpar.inbandWeight_initValue = 5;
dpar.outOfBandWeight_initValue = 1;

% --- below unchanged from YAFIR_demo_basic ---
dpar.inRate_Hz = 104e6;
dpar.mStages = 36;
dpar.req_passbandF_Hz = 9e6;
dpar.req_passbandRipple_dB = 0.083;
dpar.req_stopbandF_Hz = 14e6;  
dpar.req_stopbandMaxGain_dB = -30;

design = YAFIR(dpar);

[h, status] = run(design);
disp(status);    
